def sanitize_filename(filename)
  filename = filename.strip
  sanitized = filename.gsub(/[^a-zA-Z0-9_]/, "_")
  sanitized.gsub!(/_+/, "_")
  sanitized.gsub!(/^_+|_+$/, "")
  sanitized
end

def sanitize_rcptname(filename)
  filename = filename.strip
  sanitized = filename.gsub(/[^a-zA-Z0-9_\.]/, "_")
  sanitized.gsub!(/_+/, "_")
  sanitized.gsub!(/^_+|_+$/, "")
  sanitized
end

def check_partname_in_array(filename, search_array)
  fnd = false
  search_array.each do |item|
    if filename.include?(item)
      fnd = true
      break
    end
  end
  fnd
end
